VARKON Version 1.15 1997-10-24

> ## outstr - Procedure

> Write to a file
> Description
> Formats and writes a string to an open file or pipe.
> Syntax
> outstr(f, str, width)

> FILE | f;
> STRING | str;
> INT | width;

> Principal parameters

> f | - The name of a filevariable accociated with a file open for write, append or update (W, A or U)
> str | - The string to write

> Optional parameters

> width | - Controls the amount of padding. If width is less than the actual space required no padding
> | is performed. If width is larger than the space required the result is padded with blanks.
> | The sign of width controls weather padding is done on the left side of the result (+) or the
> | right side (-). If not specified width is set to zero = no padding.

> Examples
> outstr(f, "ABCD") = "ABCD"
> outstr(f, "ABCD",10) = " ABCD"
> outstr(f, "ABCD", -10) = "ABCD "

VARKON Homepage | Index